// All scripts
(function($){
    "use strict";
    
    $(window).resize(function() {
        metrika_masonry();
    });

    $(window).hashchange( function(){
        if (window.location.hash == '') {
            gotoPageWithTrans1(0);
        } else {
            gotoPageWithTrans1($(window.location.hash).attr('class').replace('pt-page', '').replace('pt-page-', '').replace('blog-single-post', '').trim());
        }
    });
    
    $(window).load(
        function() {
            $('#preloader').animate({opacity: 0}, 500, function() {
                $(this).remove();
            });
        }
    );
    
    $(document).ready(function() {

        if (window.location.hash) {
            gotoPageWithTrans1($(window.location.hash).attr('class').replace('pt-page', '').replace('pt-page-', '').replace('blog-single-post', '').trim());
        }
        
        $('body').on('click', '.home-page', function() {
             window.history.pushState({},"", ' ');
        });
        
        $('body').on('click', '.navi .menu_item, .blogpost, .submenu a', function() {
            window.history.pushState({},"", $(this).attr('href').replace('undefined', ''));
        });
        
        
        
        $(".portfolio_gallery").each(function() {
            $(this).carouFredSel({
                items      : 1,
                responsive : true,
                height     : 446,
                pagination : $(this).closest('.og-expander-inner').find('.gallery_pagination'),
                scroll     : {
                    items        : 1,
                    duration     : 1000,
                    pauseOnHover : true
                }
            });
        });
        
        $('.remove-p > p').remove();

        $('#filterOptions a.category').click(function(e) {
            
            $('#filterOptions a.category').removeClass('active');
            
            $(this).addClass('active');
            
            var filterType = $(this).attr('data-target');
            
            if (filterType == 'all') {
                $('.item-p').animate({height: '0', width: '0', margin: '0'}, 500);
                $('.item-p').animate({width: '298'}, 0);
                $('.item-p').animate({height: '284', margin: '15px 0 30px 25px'}, 500);
            } else {
                var items = {};
                $('.item-p').each(function() {
                    if ($(this).attr('data-type').search(filterType) !== -1) {
                        $(this).addClass('selected');
                    }
                });
                $('.item-p').animate({height: '0', width: '0', margin: '0'}, 500);
                $('.selected').animate({width: '298'}, 0);
                $('.selected').animate({height: '284', width: '298', margin: '15px 0 30px 25px'}, 500);
                $('.item-p').removeClass('selected');
            }
            e.preventDefault();
            return false;
        });

        $('#primary .og-grid li').click(function() {
            return false;
        });
        
        $('.pt-page .og-grid > li > a').click(function(e) {
            if ($(this).closest('li').is('.og-expanded')) {
                var thisitem = $(this).closest('li');
                $('.full', thisitem).animate({height: '0'}, 300, function() {
                    $(thisitem).closest('li').removeClass('og-expanded');
                });
                $(thisitem).animate({height: '293'}, 300);
                return false;
            }
            e.preventDefault();
        });
        
        $('.pt-page .og-grid > li').not('.pt-page .og-grid > li .og-close').click(function() {
            $('.pt-page-current').animate({scrollTop: $(this).position().top + $('.pt-page-current').scrollTop()}, 400);
            $('.og-fullimg iframe', this).width($('.og-fullimg', this).width());
            if ($(this).is('.og-expanded')) {
                
            } else {
                $('.pt-page .og-grid > li.og-expanded .full').animate({height: '0'}, 0);
                $('.pt-page .og-grid > li.og-expanded').animate({height: '293'}, 300);
                $('.pt-page .og-grid > li.og-expanded').removeClass('og-expanded');
            }
            var h3_height = $('.full h3', this).height() + 50;
            var tag_height = $('.full .og-tags', this).length !== 0 ? $('.full .og-tags', this).height() + 50 : 0;
            var content_height = $('.full .work_content', this).length !== 0 ? $('.full .work_content', this).height() + 50 : 0;
            var link_height = $('.full .work_link', this).length !== 0 ? $('.full .work_link', this).height() : 0;
            var li_height = 410 + h3_height + tag_height + content_height + link_height;
            if (li_height - 410 < 506)
                li_height = 800;
            $(this).animate({height: li_height}, 300);
            $('.full', this).animate({height: li_height - 295}, 300, function() {
                $(this).closest('li').addClass('og-expanded');
            });
        });
        
        $('.og-close').click(function(e) {
            $(this).closest('.full').animate({height: '0'}, 300, function() {
                $(this).closest('li').removeClass('og-expanded');
            });
            $(this).closest('li').animate({height: '293'}, 300);
            return false;
        });
        
        $( "#accordion > div" ).accordion();
        $( "#tabs > div" ).tabs();
        
        var menu = $('#site-navigation');
        $('.menu-icon').click(function() {
            if (menu.is('.open')) {
                menu.removeClass('open');
            } else {
                menu.addClass('open');
            }
                
        });
        
        //Menu Masonry
        metrika_masonry();

        //Prevent Fake Browser Navigation
        var naviLink = $('.page-transition');
        naviLink.click(function(event){
            event.preventDefault();
        });

        //Team previews expand
        var $teammate = $('.team-mate');
        var clickable = $('.prev-page, .home-page, .submenu li a');
        $teammate.click(function(){
            $teammate.removeClass('expanded').find('a').css({'outline':'none', 'text-decoration':'none'});
            if($(this).hasClass('frst')){
                $teammate.removeClass('frst');
            } else {
                $(this).closest('.pt-page').animate({scrollTop: $(this).position().top + $('.pt-page-current').scrollTop()}, 300);
                $teammate.removeClass('frst');
                $(this).addClass('frst');
                $(this).addClass('expanded');
            }
            return false;
        });

        clickable.click(function(){
            $teammate.removeClass('expanded');
        });

        //Ajax Form
        $('#submit').click(function(){
            $.post(url + "/form.php", $("#feedback-form").serialize(),  function(data) {
                $('#success').html(data).animate({opacity: 1}, 500, function(){
                    $("#feedback-form").trigger( 'reset' );
                });
            });
            return false;
        });


        //Random Background Generator
        var items = new Array('#50b2a2', '#50b28a', '#c85141', '#0fa2cb', '#d8457a', '#d8733b', '#d9912a');

        $('.default-menu .menu li').each(function() {
            var item = items[Math.floor(Math.random()*items.length)];
            $(this).css('background', item);
        });

        if ($('.navi > .container > .span12 > div').is('.default-menu')) {
            $('body .pt-page').not('.pt-page-1').each(function() {
                var item = items[Math.floor(Math.random()*items.length)];
                $('.outer-wrapper', this).css('background', item);
            });
        }

        //Prev Button Click
        $('.prev-page.page-transition').click(function() {
            var count_pages = $('#pt-main article').not('.blog-single-post').size() - 1;
            var current_page = $(this).closest('.pt-page').attr('class').replace('pt-page ', '').replace('pt-page-', '').replace('pt-page-current', '');
            if ($(this).is('.blog-page')) {
                window.history.pushState({},"", $(this).attr('href'));
            } else {
                if (parseFloat(current_page) === 1) {
                    gotoPageWithTrans3(count_pages);
                    window.history.pushState({},"", '#' + $('.pt-page-' + count_pages).attr('id'));
                } else {
                    current_page = current_page - 1;
                    gotoPageWithTrans3(current_page);
                    window.history.pushState({},"", '#' + $('.pt-page-' + current_page).attr('id'));
                }
            }
        });

        //Add Animation in default menu
        var page_key = 1;
        $('.default-menu li').each(function() {
            $('a', this).attr('onclick', 'gotoPageWithTrans1(' + page_key + '); return false;');
            if (!$('a', this).is('.page-transition')) {
                $('a', this).addClass('page-transition');
            }
            page_key++;
        });

        $('.load-more-btn').click(function() {
            var count = 0;
            $('.blogpost-row .span6').not('.visible').each(function() {
                if (count < 4)
                    $(this).addClass('visible');
                count++;
                if ($('.blogpost-row .span6').not('.visible').length === 0) {
                    $('.load-more-btn').css('display', 'none');
                }
            });
        });
        
        //Default Blog Animation
        var count = 0;
        $('.blog-list article').each(function() {
            if (parseFloat(count) < post_count) {
                $(this).addClass('visible');
            }
            count++;
        });
        $('.load-more-btn.load-more').click(function() {
            var count = 0;
            $('.blog-list article').not('.visible').each(function() {
                if (parseFloat(count) < post_count) {
                    $(this).addClass('visible');
                }
                count++;
                if ($('.blog-list article').not('.visible').length === 0) {
                    $('.load-more-btn.load-more').css('display', 'none');
                }
            });
            return false;
        });

    });
})(jQuery);

function metrika_masonry() {
    $ = jQuery;
    if ($('body').width() > 978) {
        $('.navi .container > .row').masonry({
            columnWidth  : 164,
            itemSelector : '.menu_item',
            isAnimated: true
        });
    } else if ($('body').width() > 767 && $('body').width() < 978) {
        $('.navi .container > .row').masonry({
            columnWidth  : 124,
            itemSelector : '.menu_item',
            isAnimated: true
        });
    } else if ($('body').width() < 767) {
//        var container = document.querySelector('.navi .container > .row');
//        var msnry = new Masonry( container, {
//          itemSelector: '.menu_item',
//          columnWidth: container.querySelector('.grid-sizer')
//        });
    }
}